Eclipse Kepler-те SmartyPDT 0.0.9.1 орнатыңыз

Мен жай ғана RC3 болып табылатын Eclipse Kepler-тың соңғы нұсқасын орнаттым ( http://www. eclipse.org/downloads/index-developer.php ). Мен осы «smartyPDT» ( https://code.google.com/p/smartypdt мекенжайында орналасқан)/) барлық алдыңғы нұсқалар үшін плагин, бірақ енді бұл плагинді орнатпаймын. Мен қатені аламын

 Cannot complete the install because one or more required items could not be found.
 Software being installed: Smarty Feature 0.91.0 

 (org.eclipse.php.smarty_feature.feature.group 0.91.0)
 Missing requirement: Smarty Feature 0.91.0 (org.eclipse.php.smarty_feature.feature.group 0.91.0) requires 'org.eclipse.php 0.0.0' but it could not be found

Мен smartyPdt ескі нұсқасымен 0.9.0 және 0.9.1-де тырыстық. Бұл мәселені қалай шешуге болатынын немесе SmartyPDT-ті қалай жұмыс істеуге болатындығын қалай жақсы білесіз?

8
@shawndreck Егер «Санат бойынша топтық элементтер» құсбелгісі қойылса, оның құсбелгіні алыңыз. «Smarty Feature» деп аталған бағдарламалық жасақтама тізімінде 1 элементті көруге болады. «Келесі» батырмасын басыңыз.
қосылды автор LazyCatIT, көзі
@StefanS, ескі орнатудан осы қалтаны көшіруге және қоюға тура келді, бірақ бұл жұмыс org.eclipse.php 0.0.0 жаңа нұсқасымен қайшылықтар туындағанына сенімді емеспін. Деп үміттенемін біреу жақсы жауап бар
қосылды автор shawndreck, көзі
@StefanS, ескі орнатудан осы қалтаны көшіруге және қоюға тура келді, бірақ бұл жұмыс org.eclipse.php 0.0.0 жаңа нұсқасымен қайшылықтар туындағанына сенімді емеспін. Деп үміттенемін біреу жақсы жауап бар
қосылды автор shawndreck, көзі
@LazyCatIT бұл мәселемен айналыстан кейін және тұтылудың баламасын іздеуден кейін, мен PHPStorm таптым және сатылдым. Бұл мәселені шешуден бас тарттым. Үміттеніп отырғандар үшін шешім қабылданатынына үміттенемін! Рахмет
қосылды автор shawndreck, көзі
@LazyCatIT бұл мәселемен айналыстан кейін және тұтылудың баламасын іздеуден кейін, мен PHPStorm таптым және сатылдым. Бұл мәселені шешуден бас тарттым. Үміттеніп отырғандар үшін шешім қабылданатынына үміттенемін! Рахмет
қосылды автор shawndreck, көзі
org.eclipse.php жойылды pdt3.1.2.
қосылды автор atlanto, көзі
org.eclipse.php жойылды pdt3.1.2.
қосылды автор atlanto, көзі
Менде сол мәселе де болды. Кез келген шешім қазірдің өзінде бар ма?
қосылды автор Stefan S, көзі
Менде сол мәселе де болды. Кез келген шешім қазірдің өзінде бар ма?
қосылды автор Stefan S, көзі

13 жауаптар

Here's a quick fix -> Just use the juno update site to install a compatible version of PDT with the smarty plugin:

(1) тұтылуды бастау.

(2) Under the help menu, click on install new software.

(3) Қосу түймешігін басыңыз.

(4) Кез келген атты енгізіңіз, содан кейін http://download.eclipse.org/releases/juno/ мекенжайы өрісінде басыңыз, содан кейін OK түймесін басыңыз.

(5) Ашылмалы тізімнен жаңадан қосылған жаңарту сайтын таңдаңыз, содан кейін Eclipse PDT таңдаңыз және орнатыңыз.

(6) Көрінуді қайта басқаннан кейін, smartypdt бағдарламасын орнатуға болады./em>


* * * Егер сіз PDT-ді Kepler жаңарту сайты арқылы орнатқан болсаңыз: * * *

  1. тек тұтылуды орнатуыңызға өтіңіз,

  2. мүмкіндіктер қалтасын ашыңыз

  3. org.eclipse.php_3.2.0.201306051924 деп аталатын бүкіл қалтаны DELETE,

  4. Eclipse-ты қалпына келтіріңіз, содан кейін PDT-ді juno жаңарту сайты арқылы орнатыңыз.

6
қосылды
Мен үшін жұмыс істемейді. Менде Kepler арқылы PDT орнатылған және сіз ұсынған қалтаны алып тастадыңыз, бірақ жаңа орнатуды пайдаланғанда, Eclipse маған PDT орнатқан
қосылды автор Stefan S, көзі

Here's a quick fix -> Just use the juno update site to install a compatible version of PDT with the smarty plugin:

(1) тұтылуды бастау.

(2) Under the help menu, click on install new software.

(3) Қосу түймешігін басыңыз.

(4) Кез келген атты енгізіңіз, содан кейін http://download.eclipse.org/releases/juno/ мекенжайы өрісінде басыңыз, содан кейін OK түймесін басыңыз.

(5) Ашылмалы тізімнен жаңадан қосылған жаңарту сайтын таңдаңыз, содан кейін Eclipse PDT таңдаңыз және орнатыңыз.

(6) Көрінуді қайта басқаннан кейін, smartypdt бағдарламасын орнатуға болады./em>


* * * Егер сіз PDT-ді Kepler жаңарту сайты арқылы орнатқан болсаңыз: * * *

  1. тек тұтылуды орнатуыңызға өтіңіз,

  2. мүмкіндіктер қалтасын ашыңыз

  3. org.eclipse.php_3.2.0.201306051924 деп аталатын бүкіл қалтаны DELETE,

  4. Eclipse-ты қалпына келтіріңіз, содан кейін PDT-ді juno жаңарту сайты арқылы орнатыңыз.

6
қосылды
Мен үшін жұмыс істемейді. Менде Kepler арқылы PDT орнатылған және сіз ұсынған қалтаны алып тастадыңыз, бірақ жаңа орнатуды пайдаланғанда, Eclipse маған PDT орнатқан
қосылды автор Stefan S, көзі

Бұл қадамдар мен үшін Eclipse Kepler-те ғана жұмыс істеді:

  1. PDT Juno нұсқасын орнатыңыз
  2. Smarty PDT орнатыңыз
  3. PDT Juno нұсқасын алып тастаңыз
  4. PDT Kepler нұсқасын орнатыңыз

Сізде PDT және Smarty плагиндерінің соңғы нұсқалары бар.

2
қосылды
@shawndreck Бұл әдіс плагиндердің ең соңғы нұсқаларын жұмыс істеуге кепілдік береді, бұл плагинге дейін. Жазу үшін бұл смарт-плагин нашар, сондықтан Kepler-дің нұсқасы болмағандықтан оны дамытуды тоқтатты. Менің ойымша, бұл ештеңе қарағанда жақсы.
қосылды автор Caballero, көзі
Менің ойымша, сіз дұрыс деп ойлаймын, оны орнатуды аламын, бірақ бұл жай! Пайдалы функционалдылық жоқ. Болашақта үміт болмайтын болса, PHPStorm-ге ауысу туралы ойлану.
қосылды автор shawndreck, көзі
Мен әлі мұны істеуге тырысамын, бірақ перспективалы болып көрінеді. Басқа әдістердің арасында синтаксисті дәлелдейтін осы әдіс бар ма?
қосылды автор shawndreck, көзі

Бұл қадамдар мен үшін Eclipse Kepler-те ғана жұмыс істеді:

  1. PDT Juno нұсқасын орнатыңыз
  2. Smarty PDT орнатыңыз
  3. PDT Juno нұсқасын алып тастаңыз
  4. PDT Kepler нұсқасын орнатыңыз

Сізде PDT және Smarty плагиндерінің соңғы нұсқалары бар.

2
қосылды
@shawndreck Бұл әдіс плагиндердің ең соңғы нұсқаларын жұмыс істеуге кепілдік береді, бұл плагинге дейін. Жазу үшін бұл смарт-плагин нашар, сондықтан Kepler-дің нұсқасы болмағандықтан оны дамытуды тоқтатты. Менің ойымша, бұл ештеңе қарағанда жақсы.
қосылды автор Caballero, көзі
Менің ойымша, сіз дұрыс деп ойлаймын, оны орнатуды аламын, бірақ бұл жай! Пайдалы функционалдылық жоқ. Болашақта үміт болмайтын болса, PHPStorm-ге ауысу туралы ойлану.
қосылды автор shawndreck, көзі
Мен әлі мұны істеуге тырысамын, бірақ перспективалы болып көрінеді. Басқа әдістердің арасында синтаксисті дәлелдейтін осы әдіс бар ма?
қосылды автор shawndreck, көзі

Smarty PDT-ді соңғы PDT-ге орнату үшін http://p2-dev.pdt-extensions.org/ жаңартыңыз сайт. Функциясы «Мәтін редакторлары/өнімділік құралдары» санатының астында.

2
қосылды

Smarty PDT-ді соңғы PDT-ге орнату үшін http://p2-dev.pdt-extensions.org/ жаңартыңыз сайт. Функциясы «Мәтін редакторлары/өнімділік құралдары» санатының астында.

2
қосылды

I have prepared an archived update site compatible with Eclipse Kepler and the latest PDT release. Find the download and further information at http://www.bar54.de/blog/2013/02/phpeclipse-and-smarty/

0
қосылды

Бұл мәселені шешуге үміт бар

Бұл мәселені шешудің бір жолы маған айтылған

  1. Smarty PDT бағдарламасын жүктеңіз
  2. Content.xml файлын
  3. ішінде өңдеу үшін content.jar файлының орамын босатыңыз
  4. Тізімдегі org.eclipse.php тәуелділіктерді қамтитын 36 және 134 жолдарын жойыңыз және өзгертулерді сақтаңыз
  5. content.xml ішіне content.xml-ді қайтадан топтастырыңыз және content.jar-ді бастапқы орнына/қалтасына қайта салыңыз.
  6. Плагинді әдеттегідей орнатыңыз

Мен бұл әдісті қолданып көрдім және орнату ешқандай қателіктерсіз жұмыс істеді.

Мұны маған жіберген пайдаланушыға stanisla ... @ gmail.com дегенге рахмет. https://code.google.com/p/smartypdt торабына өтіңіз./issue/detail? id = 71 бөлімінде көрсетілген

Айрықша ескертпе: Орнатқаннан кейін ешқандай синтаксисті көрсетпеймін. Мен тұтқыр теңшелім модальном терезесінде ақылмен байланысты материалдарды таба алмаймын.

Кем дегенде, прогресс бар ...

0
қосылды
Мен Zend Studio 11-де сынап көрдім, ол қате туралы хабарды жібереді, бірақ орнату барысында толығымен сәтсіздікке ұшырайды
қосылды автор Erdal G., көзі

Бұл мәселені шешуге үміт бар

Бұл мәселені шешудің бір жолы маған айтылған

  1. Smarty PDT бағдарламасын жүктеңіз
  2. Content.xml файлын
  3. ішінде өңдеу үшін content.jar файлының орамын босатыңыз
  4. Тізімдегі org.eclipse.php тәуелділіктерді қамтитын 36 және 134 жолдарын жойыңыз және өзгертулерді сақтаңыз
  5. content.xml ішіне content.xml-ді қайтадан топтастырыңыз және content.jar-ді бастапқы орнына/қалтасына қайта салыңыз.
  6. Плагинді әдеттегідей орнатыңыз

Мен бұл әдісті қолданып көрдім және орнату ешқандай қателіктерсіз жұмыс істеді.

Мұны маған жіберген пайдаланушыға stanisla ... @ gmail.com дегенге рахмет. https://code.google.com/p/smartypdt торабына өтіңіз./issue/detail? id = 71 бөлімінде көрсетілген

Айрықша ескертпе: Орнатқаннан кейін ешқандай синтаксисті көрсетпеймін. Мен тұтқыр теңшелім модальном терезесінде ақылмен байланысты материалдарды таба алмаймын.

Кем дегенде, прогресс бар ...

0
қосылды
Мен Zend Studio 11-де сынап көрдім, ол қате туралы хабарды жібереді, бірақ орнату барысында толығымен сәтсіздікке ұшырайды
қосылды автор Erdal G., көзі

Badfish331 жауапын қолданғысы келетіндер үшін ол жұмыс істейді, бірақ тек біржолғы процесс бөлімі дұрыс емес.

To unistall your current PDT software, go to "help"=>"about eclipse"=>"installation details" and unistall PDT.

Содан кейін Juno PDT, smartyPDT орнатыңыз және бәрі жақсы жұмыс істеу керек.

0
қосылды

Badfish331 жауапын қолданғысы келетіндер үшін ол жұмыс істейді, бірақ тек біржолғы процесс бөлімі дұрыс емес.

To unistall your current PDT software, go to "help"=>"about eclipse"=>"installation details" and unistall PDT.

Содан кейін Juno PDT, smartyPDT орнатыңыз және бәрі жақсы жұмыс істеу керек.

0
қосылды
  • Click "install new software" under "help" menu

  • click "add"

  • type in "smarty" in the filter bar.

  • click the checkbox and click the "next" button and continue through saying "yes" or "ok".

File Association - General -> Editors -> File Associations - "Add" new file association "*.tpl" (for example).

Егер бұл Smarty үшін белгілі файл кеңейтімі болса, ол автоматты түрде дұрыс бағдарламамен байланыстырылады және төменгі жағында «OK» түймешігін баса аласыз.

0
қосылды
  • Click "install new software" under "help" menu

  • click "add"

  • type in "smarty" in the filter bar.

  • click the checkbox and click the "next" button and continue through saying "yes" or "ok".

File Association - General -> Editors -> File Associations - "Add" new file association "*.tpl" (for example).

Егер бұл Smarty үшін белгілі файл кеңейтімі болса, ол автоматты түрде дұрыс бағдарламамен байланыстырылады және төменгі жағында «OK» түймешігін баса аласыз.

0
қосылды